## Overview

Editoria is a book production platform, built with [Pubsweet](https://gitlab.coko.foundation/pubsweet/) and [Substance](http://substance.io/).  
This application is being developed by the [Coko Foundation](https://coko.foundation/), for the [University of California Press](http://www.ucpress.edu/).  
<br>

## Requirements

Node >= 7.6  
Npm >= 3  
<br>

Pubsweet >= 0.3.2  

## Installation

First you need to clone this repository on your machine.  
```git clone git@gitlab.coko.foundation:yannisbarlas/editoria.git```  
or the ```https``` equivalent:  
```git clone https://gitlab.coko.foundation/yannisbarlas/editoria.git```  
<br>

Once you have, navigate to the project's root directory.  
```cd editoria```  
<br>

This application requires node 7.6 or greater.  
If you use nvm for managing different node versions, the project includes an ```.nvmrc``` file that you can take advantage of.  
<br>

Install the latest version of the ```pubsweet``` command line tool.  
```npm install --global pubsweet```  
<br>

Install the project's dependencies.  
```npm install```  
<br>

Create a database.  
```pubsweet setupdb ./```  

If you want to create a database for a development environment, simply pass the ```--dev``` option to the above command.  
```pubsweet setupdb ./ --dev```  

Follow the instructions, create the administrator user and name your first book.  
<br>

Once that is done, you can run the app like so:  
```pubsweet run```  
Or if you want the development environment:  
```pubsweet run --dev```  
<br>

## Set up

Log in as an administrator, and click on the "Teams" link in the navigation bar.  
<br>

You can now assign different users to different roles.  
If a user is a production editor, the user can then also edit user roles for all other users.  
<br>

You're good to go!  
